Bug 183355 - [PATCH] net/zebra-server update to version 2.0.55
Summary: [PATCH] net/zebra-server update to version 2.0.55
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-27 11:30 UTC by Pawel Pekala
Modified: 2013-10-27 15:26 UTC (History)
0 users

See Also:


Attachments
file.diff (4.46 KB, patch)
2013-10-27 11:30 UTC, Pawel Pekala
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala freebsd_committer 2013-10-27 11:30:00 UTC
- Update to version 2.0.55
- Convert to new LIB_DEPENDS format
- Add support for STAGEDIR

*Note*

This update contains patch (files/patch-index_zebrasrv.c) that fixes
build with newer version of net/yaz I plan to commit when you will
approve this update.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-10-27 11:30:08 UTC
Maintainer of net/zebra-server,

Please note that PR ports/183355 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183355

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-10-27 11:30:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Pawel Pekala freebsd_committer 2013-10-27 11:47:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

Mine
Comment 4 Ben D 2013-10-27 12:30:17 UTC
I haven't tested this patch yet but this looks sane to me.

Ben


On 27 October 2013 11:30, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of net/zebra-server,
>
> Please note that PR ports/183355 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183355
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 5 dfilter service freebsd_committer 2013-10-27 15:17:16 UTC
Author: pawel
Date: Sun Oct 27 15:17:05 2013
New Revision: 331781
URL: http://svnweb.freebsd.org/changeset/ports/331781

Log:
  - Update net/yaz to version 5.0.2
  - Update net/zebra-server to 2.0.55 and fix build
    with new net/yaz [1]
  - Bump other affected ports
  
  PR:		ports/183355 [1]
  Submitted by:	myself
  Approved by:	maintainer

Added:
  head/net/zebra-server/files/patch-index_zebrasrv.c   (contents, props changed)
Deleted:
  head/net/yaz/files/
Modified:
  head/misc/tellico-kde4/Makefile
  head/net/p5-Net-Z3950-SimpleServer/Makefile
  head/net/p5-Net-Z3950-ZOOM/Makefile
  head/net/pecl-yaz/Makefile   (contents, props changed)
  head/net/yaz++/Makefile
  head/net/yaz/Makefile
  head/net/yaz/distinfo
  head/net/yaz/pkg-plist
  head/net/zebra-server/Makefile
  head/net/zebra-server/distinfo   (contents, props changed)
  head/net/zebra-server/files/patch-index_mod_grs_regx.c
  head/net/zebra-server/pkg-plist   (contents, props changed)

Modified: head/misc/tellico-kde4/Makefile
==============================================================================
--- head/misc/tellico-kde4/Makefile	Sun Oct 27 15:12:16 2013	(r331780)
+++ head/misc/tellico-kde4/Makefile	Sun Oct 27 15:17:05 2013	(r331781)
@@ -3,6 +3,7 @@
 
 PORTNAME=	tellico
 PORTVERSION=	2.3.8
+PORTREVISION=	1
 CATEGORIES=	misc kde
 MASTER_SITES=	http://tellico-project.org/files/
 

Modified: head/net/p5-Net-Z3950-SimpleServer/Makefile
==============================================================================
--- head/net/p5-Net-Z3950-SimpleServer/Makefile	Sun Oct 27 15:12:16 2013	(r331780)
+++ head/net/p5-Net-Z3950-SimpleServer/Makefile	Sun Oct 27 15:17:05 2013	(r331781)
@@ -3,6 +3,7 @@
 
 PORTNAME=	Net-Z3950-SimpleServer
 PORTVERSION=	1.16
+PORTREVISION=	1
 CATEGORIES=	net perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-

Modified: head/net/p5-Net-Z3950-ZOOM/Makefile
==============================================================================
--- head/net/p5-Net-Z3950-ZOOM/Makefile	Sun Oct 27 15:12:16 2013	(r331780)
+++ head/net/p5-Net-Z3950-ZOOM/Makefile	Sun Oct 27 15:17:05 2013	(r331781)
@@ -3,6 +3,7 @@
 
 PORTNAME=	Net-Z3950-ZOOM
 PORTVERSION=	1.28
+PORTREVISION=	1
 CATEGORIES=	net perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -10,7 +11,7 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	demon@FreeBSD.org
 COMMENT=	A perl interface to the Z39.50 Object-Orientation Model (ZOOM)
 
-LIB_DEPENDS=	yaz.4:${PORTSDIR}/net/yaz
+LIB_DEPENDS=	yaz:${PORTSDIR}/net/yaz
 BUILD_DEPENDS=	p5-MARC-Record>=1.38:${PORTSDIR}/textproc/p5-MARC-Record
 RUN_DEPENDS=	p5-MARC-Record>=1.38:${PORTSDIR}/textproc/p5-MARC-Record
 

Modified: head/net/pecl-yaz/Makefile
==============================================================================
--- head/net/pecl-yaz/Makefile	Sun Oct 27 15:12:16 2013	(r331780)
+++ head/net/pecl-yaz/Makefile	Sun Oct 27 15:17:05 2013	(r331781)
@@ -3,7 +3,7 @@
 
 PORTNAME=	yaz
 PORTVERSION=	1.0.14
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	net pear
 MASTER_SITES=	http://pecl.php.net/get/
 PKGNAMEPREFIX=	pecl-
@@ -13,7 +13,7 @@ DIST_SUBDIR=	PECL
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A PECL extension that implements a Z39.50 client
 
-LIB_DEPENDS=	yaz.4:${PORTSDIR}/net/yaz
+LIB_DEPENDS=	yaz:${PORTSDIR}/net/yaz
 
 USE_PHP=	yes
 USE_PHPEXT=	yes

Modified: head/net/yaz++/Makefile
==============================================================================
--- head/net/yaz++/Makefile	Sun Oct 27 15:12:16 2013	(r331780)
+++ head/net/yaz++/Makefile	Sun Oct 27 15:17:05 2013	(r331781)
@@ -3,6 +3,7 @@
 
 PORTNAME=	yaz++
 PORTVERSION=	1.5.0
+PORTREVISION=	1
 CATEGORIES=	net
 MASTER_SITES=	http://ftp.indexdata.dk/pub/yazpp/
 DISTNAME=	yazpp-${PORTVERSION}

Modified: head/net/yaz/Makefile
==============================================================================
--- head/net/yaz/Makefile	Sun Oct 27 15:12:16 2013	(r331780)
+++ head/net/yaz/Makefile	Sun Oct 27 15:17:05 2013	(r331781)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	yaz
-PORTVERSION=	4.2.68
+PORTVERSION=	5.0.2
 CATEGORIES=	net
 MASTER_SITES=	http://ftp.indexdata.dk/pub/yaz/
 
@@ -22,21 +22,8 @@ CONFIGURE_ARGS+=--enable-shared --with-o
 		--with-xslt=${LOCALBASE} --with-icu=${LOCALBASE} \
 		--enable-tcpd
 
-MAN1=		yaz-asncomp.1 yaz-client.1 yaz-config.1 yaz-iconv.1 \
-		yaz-json-parse.1 yaz-marcdump.1 \
-		zoomsh.1 yaz-icu.1 yaz-illclient.1 yaz-url.1
-MAN7=		bib1-attr.7 yaz-log.7 yaz.7
-MAN8=		yaz-ztest.8
-
 OPTIONS_DEFINE=	DOCS
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-.if !${PORT_OPTIONS:MDOCS}
-EXTRA_PATCHES+=	${FILESDIR}/extrapatch-doc__Makefile.in
-.endif
-
 post-configure:
 	@${REINPLACE_CMD} -e 's,[$$]{datarootdir}/man,${PREFIX}/man,' \
 		${WRKSRC}/doc/Makefile

Modified: head/net/yaz/distinfo
==============================================================================
--- head/net/yaz/distinfo	Sun Oct 27 15:12:16 2013	(r331780)
+++ head/net/yaz/distinfo	Sun Oct 27 15:17:05 2013	(r331781)
@@ -1,2 +1,2 @@
-SHA256 (yaz-4.2.68.tar.gz) = 97b403e2adb6291b6f51b0462374d87c23366f74399dd6301cc8e055a5d4ea44
-SIZE (yaz-4.2.68.tar.gz) = 2452033
+SHA256 (yaz-5.0.2.tar.gz) = 8d920ed8d6b0489afd344ee411f0278d1627fea687270347f4a9b186fbcc43e9
+SIZE (yaz-5.0.2.tar.gz) = 2389716

Modified: head/net/yaz/pkg-plist
==============================================================================
--- head/net/yaz/pkg-plist	Sun Oct 27 15:12:16 2013	(r331780)
+++ head/net/yaz/pkg-plist	Sun Oct 27 15:17:05 2013	(r331781)
@@ -122,16 +122,30 @@ include/yaz/zoom.h
 lib/libyaz.a
 lib/libyaz.la
 lib/libyaz.so
-lib/libyaz.so.4
+lib/libyaz.so.5
 lib/libyaz_icu.a
 lib/libyaz_icu.la
 lib/libyaz_icu.so
-lib/libyaz_icu.so.4
+lib/libyaz_icu.so.5
 lib/libyaz_server.a
 lib/libyaz_server.la
 lib/libyaz_server.so
-lib/libyaz_server.so.4
+lib/libyaz_server.so.5
 libdata/pkgconfig/yaz.pc
+man/man1/yaz-asncomp.1.gz
+man/man1/yaz-client.1.gz
+man/man1/yaz-config.1.gz
+man/man1/yaz-iconv.1.gz
+man/man1/yaz-icu.1.gz
+man/man1/yaz-illclient.1.gz
+man/man1/yaz-json-parse.1.gz
+man/man1/yaz-marcdump.1.gz
+man/man1/yaz-url.1.gz
+man/man1/zoomsh.1.gz
+man/man7/bib1-attr.7.gz
+man/man7/yaz-log.7.gz
+man/man7/yaz.7.gz
+man/man8/yaz-ztest.8.gz
 share/aclocal/yaz.m4
 %%PORTDOCS%%%%DOCSDIR%%/apilayer.png
 %%PORTDOCS%%%%DOCSDIR%%/asn.external.html

Modified: head/net/zebra-server/Makefile
==============================================================================
--- head/net/zebra-server/Makefile	Sun Oct 27 15:12:16 2013	(r331780)
+++ head/net/zebra-server/Makefile	Sun Oct 27 15:17:05 2013	(r331781)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	zebra-server
-PORTVERSION=	2.0.45
+PORTVERSION=	2.0.55
 CATEGORIES=	net
 MASTER_SITES=	http://ftp.indexdata.dk/pub/zebra/
 DISTNAME=	idzebra-${PORTVERSION}
@@ -10,8 +10,8 @@ DISTNAME=	idzebra-${PORTVERSION}
 MAINTAINER=	ben@gibbed.org
 COMMENT=	Z39.50/SR server software
 
-LIB_DEPENDS=	expat.6:${PORTSDIR}/textproc/expat2 \
-		yaz.4:${PORTSDIR}/net/yaz
+LIB_DEPENDS=	libexpat.so:${PORTSDIR}/textproc/expat2 \
+		libyaz.so:${PORTSDIR}/net/yaz
 
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--with-yaz=${LOCALBASE}/bin \
@@ -22,11 +22,4 @@ USES=		iconv
 USE_LDCONFIG=	yes
 USE_TCL=	yes
 
-MAN1=		idzebra-config-2.0.1 zebraidx-2.0.1
-MAN8=		zebrasrv-2.0.8
-MLINKS=		idzebra-config-2.0.1 idzebra-config.1 \
-		zebraidx-2.0.1 zebraidx.1 \
-		zebrasrv-2.0.8 zebrasrv.8
-
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/net/zebra-server/distinfo
==============================================================================
--- head/net/zebra-server/distinfo	Sun Oct 27 15:12:16 2013	(r331780)
+++ head/net/zebra-server/distinfo	Sun Oct 27 15:17:05 2013	(r331781)
@@ -1,2 +1,2 @@
-SHA256 (idzebra-2.0.45.tar.gz) = 0300566042d9be05021d63d0ac2d904017897eecd420b1e02cc329b3744894e1
-SIZE (idzebra-2.0.45.tar.gz) = 1785595
+SHA256 (idzebra-2.0.55.tar.gz) = 0ee5aba21d50a2c293096cf1802794e109c9f8829dbe57a5743646e65d0c32f6
+SIZE (idzebra-2.0.55.tar.gz) = 1819785

Modified: head/net/zebra-server/files/patch-index_mod_grs_regx.c
==============================================================================
--- head/net/zebra-server/files/patch-index_mod_grs_regx.c	Sun Oct 27 15:12:16 2013	(r331780)
+++ head/net/zebra-server/files/patch-index_mod_grs_regx.c	Sun Oct 27 15:17:05 2013	(r331781)
@@ -1,16 +1,16 @@
---- index/mod_grs_regx.c.orig	2010-06-29 10:57:13.000000000 +0200
-+++ index/mod_grs_regx.c	2013-07-24 09:27:20.000000000 +0200
-@@ -1298,8 +1298,12 @@
+--- index/mod_grs_regx.c.orig	2013-01-08 10:26:06.000000000 +0100
++++ index/mod_grs_regx.c	2013-10-27 11:54:01.655086748 +0100
+@@ -1301,8 +1301,12 @@
      {
      	const char *err = Tcl_GetVar(spec->tcl_interp, "errorInfo", 0);
- 	yaz_log(YLOG_FATAL, "Tcl error, line=%d, \"%s\"\n%s", 
+ 	yaz_log(YLOG_FATAL, "Tcl error, line=%d, \"%s\"\n%s",
 +#if TCL_MAJOR_VERSION == 8 && TCL_MINOR_VERSION < 5
  	    spec->tcl_interp->errorLine,
 -	    spec->tcl_interp->result,
 +#else
 +	    Tcl_GetErrorLine(spec->tcl_interp),
 +#endif
-+	    Tcl_GetStringResult(spec->tcl_interp),
++	    Tcl_GetStringResult(spec->tcl_interp),	    
  	    err ? err : "[NO ERRORINFO]");
      }
  }

Added: head/net/zebra-server/files/patch-index_zebrasrv.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/zebra-server/files/patch-index_zebrasrv.c	Sun Oct 27 15:17:05 2013	(r331781)
@@ -0,0 +1,11 @@
+--- ./index/zebrasrv.c.orig	2013-10-27 11:58:33.890944518 +0100
++++ ./index/zebrasrv.c	2013-10-27 11:59:27.837331279 +0100
+@@ -247,7 +247,7 @@
+         case Z_Term_general:
+             term->which = Z_Term_general;
+             term->u.general = odr_malloc(r->stream, sizeof(*term->u.general));
+-            term->u.general->size = term->u.general->len = len;
++            term->u.general->len = len;
+             term->u.general->buf = odr_malloc(r->stream, len);
+             memcpy(term->u.general->buf, outbuf, len);
+             break;

Modified: head/net/zebra-server/pkg-plist
==============================================================================
--- head/net/zebra-server/pkg-plist	Sun Oct 27 15:12:16 2013	(r331780)
+++ head/net/zebra-server/pkg-plist	Sun Oct 27 15:17:05 2013	(r331781)
@@ -1,3 +1,4 @@
+bin/idzebra-abs2dom
 bin/idzebra-config-2.0
 bin/zebraidx
 bin/zebraidx-2.0
@@ -43,6 +44,13 @@ lib/libidzebra-2.0.a
 lib/libidzebra-2.0.la
 lib/libidzebra-2.0.so
 lib/libidzebra-2.0.so.0
+man/man1/idzebra-abs2dom.1.gz
+man/man1/idzebra-config-2.0.1.gz
+man/man1/idzebra-config.1.gz
+man/man1/zebraidx-2.0.1.gz
+man/man1/zebraidx.1.gz
+man/man8/zebrasrv-2.0.8.gz
+man/man8/zebrasrv.8.gz
 share/aclocal/idzebra-2.0.m4
 share/doc/idzebra-2.0/administration-extended-services.html
 share/doc/idzebra-2.0/administration-ranking.html
@@ -67,6 +75,7 @@ share/doc/idzebra-2.0/grs-extended-marc-
 share/doc/idzebra-2.0/grs-internal-representation.html
 share/doc/idzebra-2.0/grs.html
 share/doc/idzebra-2.0/icuchain-files.html
+share/doc/idzebra-2.0/idzebra-abs2dom.html
 share/doc/idzebra-2.0/idzebra-config.html
 share/doc/idzebra-2.0/index.html
 share/doc/idzebra-2.0/indexdata.html
@@ -152,6 +161,7 @@ share/idzebra-2.0-examples/gils/records/
 share/idzebra-2.0-examples/gils/records/esdd0077.grs
 share/idzebra-2.0-examples/gils/records/esdd0078.grs
 share/idzebra-2.0-examples/gils/records/esdd0079.grs
+share/idzebra-2.0-examples/gils/records/esdd0080.grs
 share/idzebra-2.0-examples/gils/zebra.cfg
 share/idzebra-2.0-examples/marc21/sample-marc
 share/idzebra-2.0-examples/marc21/zebra.cfg
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Pawel Pekala freebsd_committer 2013-10-27 15:26:15 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!